﻿@charset "utf-8";

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html, body {
    height: 100vh !important;
}

body {
    position: relative;
    color: white;
    background-color: #173663;
    font-family: "AvantGarde Md BT", -apple-system, BlinkMacSystemFont, "Helvetica Neue", "Segoe UI","Noto Sans Japanese","ヒラギノ角ゴ ProN W3", Meiryo, sans-serif;
    margin: 0;
    padding: 0;
    overflow-x: hidden;
    overflow-y: auto;
    white-space: nowrap;
}

ul {
    list-style: none;
    font-size: 0px;
}

    ul li {
        font-size: 1rem;
    }

a {
    text-decoration: none;
    display: block;
    outline: none;
}

    a.btn-back {
        color: white !important;
        background-color: #2d3858 !important;
        border-color: #d0d0d0 !important;
    }

    a.btn-confirm {
        color: white !important;
        background-color: darkorange !important;
        border-color: #d0d0d0 !important;
    }

    a.btn-select {
        color: white !important;
        background-color: cornflowerblue !important;
        border-color: #d0d0d0 !important;
    }

img.fixed {
    width: auto;
    height: auto;
    max-width: 100%;
    max-height: 100%;
}

label, input, a {
    font-family: HGSGothicE;
    font-weight: 500 !important;
}

.font-weight-bold {
    font-weight:bold !important;
}

.disabled {
    pointer-events:none;
    background-color:lightgray;
}
/**************************************************************
 * ログイン
 **************************************************************/
body.bg {
    background-image: url(/view/login/img/notebook_poppoya.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center top;
}

    body.bg .logo {
        width: 90%;
        margin: 2rem auto;
        min-width: 1100px;
    }

div#loginBox {
    margin: 1rem;
}

    div#loginBox ul li {
        width: 214px;
    }

        div#loginBox ul li input {
            margin: 3px;
        }

    div#loginBox button {
        width: 85px;
        padding: 0;
        margin: 3px;
    }

    div#loginBox p.txt01 img {
        width: 530px;
    }

/**************************************************************
 * 共通
 **************************************************************/
/*#mmspagecontent {
    overflow-x: auto;
    overflow-y: auto;
    white-space: nowrap;
}*/


/*右サイドメニュー ここから*/
#menuBox {
    width: 350px;
    max-width: 350px;
    min-width: 350px;
    height: 100vh;
    min-height:600px;
    background-color: #2A82C5;
}

    #menuBox img {
        width: 90%;
        height: 90%;
    }

    #menuBox div.nav-btn, a.nav-btn {
        margin: 0;
        padding: 0;
        border: none;
        background-color: #DCDDDD !important;
    }

    #menuBox div.input-label {
        width: 120px;
        height: 30px;
        line-height: 30px;
        border-radius: 3px;
    }

        #menuBox div.input-label.required {
            background-color: #15499A;
        }

    #menuBox input {
        width: 175px;
        height: 30px;
        line-height: 30px;
    }

    #menuBox select {
        width: 175px;
        height: 30px;
        border-radius: inherit;
    }

    #menuBox div.nav-btn.active {
        background-color: #A0D9F6 !important
    }

#menu-header {
    height: 70px;
}

    #menu-header li {
        width: 15mm;
        height: 15mm;
        box-shadow: 3px 3px 2px rgba(0, 0, 0, 0.8);
    }

    #menu-header div.nav-btn {
        position: relative;
        width: 100%;
        height: 100%;
    }

        #menu-header div.nav-btn img {
            position: absolute;
            top: 0;
            bottom: 0;
            left: 0;
            right: 0;
            margin: auto;
            width: 100%;
            height: 100%;
            object-fit: contain;
        }

#menu-content {
    height: calc(100% - 140px);
    overflow-x: hidden;
    overflow-y: hidden;
}

#menu-footer {
    height: 70px;
}

    #menu-footer li {
        width: 15mm;
        height: 15mm;
        box-shadow: 3px 3px 2px rgba(0, 0, 0, 0.8);
    }

    #menu-footer div.nav-btn,
    #menu-footer a {
        position: relative;
        width: 100%;
        height: 100%;
    }

        #menu-footer div.nav-btn img,
        #menu-footer a img {
            position: absolute;
            top: 0;
            bottom: 0;
            left: 0;
            right: 0;
            margin: auto;
            width: 100%;
            height: 100%;
            object-fit: contain;
            
        }

#slidearea {
    width: 20px;
    height: 100%;
    background-color: #15499A;
}
/*右サイドメニュー ここまで*/


/*
#menuBox {
    width: 21vw;
}*/

span.text-danger {
    color: yellow;
}

div.text-danger {
    color: yellow;
}

/*工程カラー ここから*/
/*過去データ*/
.data_past {
    background-color: darkgray;
}

/*未開始*/
.date_beforeStart {
    color: black;
}
/*開始中*/
.date_started {
    color: black !important;
    background-color: yellow;
}
/*完了済*/
.date_finished {
    color: black !important;
    background-color: lime;
}
/*遅れ*/
.date_alert {
    color: white !important;
    background-color: red;
}
/*現在日付より過去日*/
.date_late {
    color: RGB(206, 101, 63);
}

/*工程カラー ここまで*/


/*Loadingイメージ ここから*/
.loader,
.loader:after {
    border-radius: 50%;
    width: 10em;
    height: 10em;
}

.loader {
    margin: 60px auto;
    font-size: 10px;
    position: relative;
    text-indent: -9999em;
    border-top: 1.1em solid rgba(255, 255, 255, 0.2);
    border-right: 1.1em solid rgba(255, 255, 255, 0.2);
    border-bottom: 1.1em solid rgba(255, 255, 255, 0.2);
    border-left: 1.1em solid #ffffff;
    -webkit-transform: translateZ(0);
    -ms-transform: translateZ(0);
    transform: translateZ(0);
    -webkit-animation: load8 1.1s infinite linear;
    animation: load8 1.1s infinite linear;
}

@-webkit-keyframes load8 {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes load8 {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

ui-state-default, .ui-widget-content .ui-state-default, .ui-widget-header .ui-state-default {
    color: rgb(128, 159, 193);
    background: #f8f8f8;
}

.date-holiday a.ui-state-default {
    background: #ADDDED;
    color: red;
}

/*Loadingイメージ ここまで*/


/* 点滅 */
.blink {
    -webkit-animation: blink 1.0s ease-in-out infinite alternate;
    -moz-animation: blink 1.0s ease-in-out infinite alternate;
    animation: blink 1.0s ease-in-out infinite alternate;
}

@-webkit-keyframes blink {
    /*0% {opacity:0;}
            100% {opacity:1;}*/
    0% {
        background-color: red;
    }

    100% {
        background-color: white;
    }
}

@-moz-keyframes blink {
    /*0% {opacity:0;}
            100% {opacity:1;}*/
    0% {
        background-color: red;
    }

    100% {
        background-color: white;
    }
}

@keyframes blink {
    /*0% {opacity:0;}
            100% {opacity:1;}*/
    0% {
        background-color: red;
    }

    100% {
        background-color: white;
    }
}

.ui-datepicker {
    z-index: 15000 !important;
}
